/*
 * meterBusServer.h
 *
 *  Created on: 16.09.2013
 *      Author: wn
 */

#ifndef METERBUSSERVER_H_
#define METERBUSSERVER_H_


#include <Ethernet.h>
#include "mBusDialog.h"


class MeterBusServer : public ResponseCallback {
public:
  MeterBusServer(uint16_t port, RequestSender *meterBusMaster);
  void begin();
  void exec();
  virtual void sendResponse(uint8_t *responseBuffer, uint16_t responseBufferLength, uint8_t token, char *name);
  virtual void sendError(uint8_t code, uint8_t token, char *name);
private:
  EthernetServer m_server;
  EthernetClient m_client;
  RequestSender *m_meterBusMaster;
};



#endif /* METERBUSSERVER_H_ */
